curl --request POST \
--url https://api.backside.app/api/v1/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"calendar_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"availability": "<string>",
"color": "<string>",
"conference_url": "<string>",
"description": "<string>",
"end_at": "2023-11-07T05:31:56Z",
"end_date": "2023-12-25",
"event_type": "<string>",
"is_all_day": true,
"location": "<string>",
"location_lat": 123,
"location_lng": 123,
"metadata": "<unknown>",
"reminders": "<unknown>",
"rrule": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"start_date": "2023-12-25",
"status": "<string>",
"timezone": "<string>",
"visibility": "<string>"
}
'{
"availability": "<string>",
"calendar_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"event_type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_all_day": true,
"metadata": "<unknown>",
"reminders": "<unknown>",
"sequence": 123,
"status": "<string>",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"visibility": "<string>",
"color": "<string>",
"conference_url": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"end_at": "2023-11-07T05:31:56Z",
"end_date": "2023-12-25",
"exdates": [
"2023-11-07T05:31:56Z"
],
"ical_uid": "<string>",
"location": "<string>",
"location_lat": 123,
"location_lng": 123,
"next_occurrence": "2023-11-07T05:31:56Z",
"organizer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recurrence_id": "2023-11-07T05:31:56Z",
"rrule": "<string>",
"series_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_at": "2023-11-07T05:31:56Z",
"start_date": "2023-12-25",
"timezone": "<string>"
}curl --request POST \
--url https://api.backside.app/api/v1/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"calendar_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"availability": "<string>",
"color": "<string>",
"conference_url": "<string>",
"description": "<string>",
"end_at": "2023-11-07T05:31:56Z",
"end_date": "2023-12-25",
"event_type": "<string>",
"is_all_day": true,
"location": "<string>",
"location_lat": 123,
"location_lng": 123,
"metadata": "<unknown>",
"reminders": "<unknown>",
"rrule": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"start_date": "2023-12-25",
"status": "<string>",
"timezone": "<string>",
"visibility": "<string>"
}
'{
"availability": "<string>",
"calendar_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"event_type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_all_day": true,
"metadata": "<unknown>",
"reminders": "<unknown>",
"sequence": 123,
"status": "<string>",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"visibility": "<string>",
"color": "<string>",
"conference_url": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"end_at": "2023-11-07T05:31:56Z",
"end_date": "2023-12-25",
"exdates": [
"2023-11-07T05:31:56Z"
],
"ical_uid": "<string>",
"location": "<string>",
"location_lat": 123,
"location_lng": 123,
"next_occurrence": "2023-11-07T05:31:56Z",
"organizer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recurrence_id": "2023-11-07T05:31:56Z",
"rrule": "<string>",
"series_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_at": "2023-11-07T05:31:56Z",
"start_date": "2023-12-25",
"timezone": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Event created
Was this page helpful?